import { useEditor } from "@/modules/editor";
import { css } from "@linaria/core";
import { defineComponent } from "vue";

export default defineComponent({
  emits: ["click"],
  setup(props, { emit, slots }) {
    const { store } = useEditor();
    return () => (
      <div
        class={[store.editMode === "edit" && editStyle]}
        onClick={() => emit("click")}
      >
        {slots.default?.()}
      </div>
    );
  },
});

const editStyle = css`
  outline: 1px dashed @inf-primary-color;
`;
