import { initEditor } from "@/modules/editor";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const editor = initEditor();
  editor.actions.initData({
    title: "123",
    pageStyle: {
      backgroundColor: "#fff",
    },
    content: Array.from({ length: 1 }, () => ({
      id: Math.random().toString(),
      compKey: "Card",
      props: {
        value: {
          title1: "xxd324xxx2",
          title2: "",
        },
      },
    })),
  });

  return () => <editor.components.Viewport class="!h-100vh" />;
});
